Bug 504225 - Review Request: libdlo - DisplayLink driver library
Review Request: libdlo - DisplayLink driver library
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-04 16:28 EDT by Adam Jackson
Modified: 2010-01-07 21:42 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-07 21:42:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Adam Jackson 2009-06-04 16:28:43 EDT
Spec URL: http://ajax.fedorapeople.org/libdlo/libdlo.spec
SRPM URL: http://ajax.fedorapeople.org/libdlo/libdlo-0.1.0-1.fc12.src.rpm

Description:

An open-source implementation of DisplayLink USB graphics support.  This
library will discover and connect to DisplayLink USB graphics chips,
and allow for developers to support DisplayLink devices.
Comment 1 Jason Tibbitts 2009-06-04 18:30:53 EDT
404 on the src.rpm link.  I used http://ajax.fedorapeople.org/libdlo/libdlo-0.1.0-1.fc11.src.rpm instead.
Comment 2 Jason Tibbitts 2009-06-04 18:57:43 EDT
Builds fine, rpmlint says only:
  libdlo.x86_64: W: no-documentation
  libdlo-devel.x86_64: W: no-documentation
which would be OK, except that the main package needs the COPYING file and there does seem to be some development documentation in the Guide-v104.pdf file which should probably be in the -devel package.

* source files match upstream.  sha256sum:
   2a3af6e035c03f61dd170514271d81995c31018d13247436a3b8bfc37e2c3da0  
   libdlo-0.1.0.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
X license text included in tarball but not in package.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* debuginfo package looks complete.
* final provides and requires are sane:
  libdlo-0.1.0-1.fc11.x86_64.rpm
   libdlo.so.0()(64bit)
   libdlo = 0.1.0-1.fc11
   libdlo(x86-64) = 0.1.0-1.fc11
  =
   /sbin/ldconfig
   libdlo.so.0()(64bit)
   libusb-0.1.so.4()(64bit)

  libdlo-devel-0.1.0-1.fc11.x86_64.rpm
   libdlo-devel = 0.1.0-1.fc11
   libdlo-devel(x86-64) = 0.1.0-1.fc11
  =
   libdlo = 0.1.0-1.fc11
   libdlo.so.0()(64bit)

* shared libraries are installed:
  ldconfig called properly.
  unversioned .so links are in the -devel package.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no generically named files
* scriptlets are OK (ldconfig).
* code, not content.
* header is in the -devel package.
* no static libraries.
* no libtool .la files.
Comment 3 Adam Jackson 2009-06-05 11:11:48 EDT
Oops, good catch on COPYING.  New spec and srpm in the same place as before.
Comment 4 Jason Tibbitts 2009-06-05 14:03:29 EDT
Looks good, thanks.

APPROVED
Comment 5 Adam Jackson 2009-06-05 15:08:17 EDT
New Package CVS Request
=======================
Package Name: libdlo
Short Description: DisplayLink driver library
Owners: ajax
Branches: 
InitialCC:
Comment 6 Jason Tibbitts 2009-06-05 17:29:59 EDT
CVS done.
Comment 7 Jason Tibbitts 2009-07-29 17:36:01 EDT
Did you intend to build this package?  It doesn't look to me as if it's been imported yet.
Comment 8 Jason Tibbitts 2010-01-07 21:42:09 EST
I'm going to go ahead and close this, as it looks like the package ended up being orphaned before it made it into a release.

Note You need to log in before you can comment on or make changes to this bug.